FAVE-SPI FLAM Anti Virus Exit (FAVE) Service Provider Interface (SPI)

Data Fields
FaveOpn Struct Reference
Function structures

FAVE parameter structure for function code FAVE_FUNC_OPN. More...

`#include <FAVE.h>`

## Data Fields
unsigned int | uiFlg
| [INOUT] Flag word (32 bit) with several bit settings More...
unsigned int | uiPar
| [INPUT] Length of the parameter string (32 bit word) More...
char * | pcPar
| [INPUT] Pointer to the parameter string (32 or 64 bit) More...
unsigned int | uiMsg
| [OUTPUT] Length of error message (32 bit word) More...
unsigned int | uiDy5
| [DUMMY] 32 bit dummy field for 64 bit alignment More...
char | acMsg [4096]
| [OUTPUT] Maximal 4096 byte long error string More...

## Detailed Description

FAVE parameter structure for function code FAVE_FUNC_OPN.

This structure is used when the exit function is called with the function code FAVE_FUNC_OPN.

The first member contains flags that can be set in both directions. If the exit is opened for output data, the flag bit FAVE_FLAG_WRITE is set. If it is not set, the exit is opened for reading input data. See the flags section for further flags.

The next pair of members contains the length and a pointer to the parameter string interpreted by the service provider.

The last member pair is a buffer of 4096 bytes for an error message. The corresponding length must be set to the length of the error message.

## Field Documentation

## ◆ acMsg

char FaveOpn::acMsg[4096]

[OUTPUT] Maximal 4096 byte long error string

## ◆ pcPar

char* FaveOpn::pcPar

[INPUT] Pointer to the parameter string (32 or 64 bit)

## ◆ uiDy5

unsigned int FaveOpn::uiDy5

[DUMMY] 32 bit dummy field for 64 bit alignment

## ◆ uiFlg

unsigned int FaveOpn::uiFlg

[INOUT] Flag word (32 bit) with several bit settings

## ◆ uiMsg

unsigned int FaveOpn::uiMsg

[OUTPUT] Length of error message (32 bit word)

## ◆ uiPar

unsigned int FaveOpn::uiPar

[INPUT] Length of the parameter string (32 bit word)

The documentation for this struct was generated from the following file:

- FAVE.h